cordova.define("com.mansuo.plugins.wechat.WeChat", function(require, exports, module) {
var exec = require('cordova/exec');

// 微信授权登录
exports.oauth = function (success, error) {
    exec(success, error, 'WeChat', 'oauth', []);
};

/**
 * 分享朋友圈
 * WeChat.shareTimeline({
 *      title: '标题',
 *      description: '描述',
 *      link: '链接地址',
 *      image: '封面地址'
 *  })
 */
exports.shareTimeline = function (success, error, params) {
    exec(success, error, 'WeChat', 'shareTimeline', [params]);
};

/**
 * 分享给好友
 * WeChat.shareAppMessage({
 *      title: '标题',
 *      description: '描述',
 *      link: '链接地址',
 *      image: '封面地址'
 *  })
 */
exports.shareAppMessage = function (success, error, params) {
    exec(success, error, 'WeChat', 'shareAppMessage', [params]);
};

/**
 * 支付
 * WeChat.sendPayReq({
 *      appid: 'appid',
 *      partnerid: 'partnerid',
 *      prepayid: 'prepayid',
 *      package: 'package',
 *      timestamp: 'timestamp',
 *      noncestr: 'noncestr',
 *      sign: sign
 *  })
 */
exports.sendPayReq = function (success, error, params) {
     exec(success, error, 'WeChat', 'sendPayReq', [params]);
};

/**
 * 微信扫码登录
 * WeChat.scanAuth({
 *   oauthUrl: 'http://xxxxx'
 *})
**/
exports.scanAuth = function (success, error, params) {
     exec(success, error, 'WeChat', 'scanAuth', [params]);
};
});
